Reglamento general de los foros   •   FAQ   •   Buscar en el foro •  Registrarse | Iniciar sesión 



Portada » Foros Linux » Administración del sistema » Sistema


Nuevo tema Responder al tema
 [ 21 mensajes ]  Ir a página 1, 2  Siguiente
Patrocinadores

Autor
Buscar:
Mensaje

Desconectado
Forista Medio
Forista Medio
Avatar de Usuario

Registrado: Dom Oct 10, 2010 6:15 am
Mensajes: 308

Nota Publicado: Jue Mar 03, 2011 5:46 pm 
Arriba  
Buenas mi gente como les va?? espero que mejor que a mí!! :)

Tengo un problema y necesito su ayuda... Estoy usando Debian Squeeze con KDE y necesito actualizar mi sistema, ya que todos los días me sale el mensaje de que hay disponibles 121 actualizaciones y 3 actualizaciones de seguridad... Pues bueno, normalmente es ir al "Actualizaciones de Software" colocar la clave de root y dar clic en "Instalar".... Hago todo esto pero a los 2 segundos de haberse iniciado la labor se cierra la ventana y me sale con que no se actualizo nada!! :o

Me voy por la terminal de root y coloco: apt-get upgrade... pues lee los paquetes a instalarse, le digo que "s" a si deseo o no... empieza como a trabajar y a los pocos segundos sale esto:

Imagen

Desde ya gracias por la ayuda...

_________________
UBUNTU 12.04 User http://usandognu-linux.blogspot.com/


Última edición por eldelantero el Dom Mar 27, 2011 9:20 pm, editado 3 veces en total
 Perfil  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Mié Ago 11, 2010 10:32 am
Mensajes: 3234
Ubicación: Oviedo-es_ES

Nota Publicado: Jue Mar 03, 2011 6:18 pm 
Arriba  
yo empezaría haciendo un
# apt-get update

y luego un
# apt-get dist-upgrade

 Perfil WWW  

Desconectado
Forista Distinguido
Forista Distinguido
Avatar de Usuario

Registrado: Sab Dic 08, 2007 8:00 am
Mensajes: 1337

Nota Publicado: Jue Mar 03, 2011 6:30 pm 
Arriba  
Hola como estas, segun lo que veo es que tus repositorios estan apuntando a la rama sid de Debian (como sabes esta rama es la que mas actualizaciones recibe y no necesariamente estas actualizaciones son buenas para tu sistema debido a que no estan debidamente probadas o pueden tener algun problema de dependencias), cambia tus repositorios para que apunten a la rama estable o la rama testing de Debian, una recomendación adicional es que uses synaptic para realizar actualizaciones personalizadas de software, en cuanto al gestor de actualizaciones te recomendariaque desinstales esta utilidad ya que las actualizaciones la puedes hacer desde synaptic, apt-get o aptitude.

saludos

 Perfil  

Desconectado
Miembro ETEL
Miembro ETEL
Avatar de Usuario

Registrado: Mié Dic 08, 2004 8:00 am
Mensajes: 526
Ubicación: BS. AS Argentina

Nota Publicado: Jue Mar 03, 2011 7:28 pm 
Arriba  
doc escribió:
yo empezaría haciendo un
# apt-get update

y luego un
# apt-get dist-upgrade


Yo haria un 'aptitude dist-upgrade'

Aptitude es un poco mas inteligente y ofrece soluciones a los conflictos.

_________________
Saludos.
Matías S. Sardisco | http://msardisco.com.ar


$ emerge --info | head -n3
Portage 2.1.9.34 (default/linux/x86/10.0, gcc-4.5.2, glibc-2.12.2-r0, 2.6.37-ck i686)
=================================================================
System uname: Linux-2.6.37-ck-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.0.1

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Mié Ago 11, 2010 10:32 am
Mensajes: 3234
Ubicación: Oviedo-es_ES

Nota Publicado: Jue Mar 03, 2011 9:00 pm 
Arriba  
_osorio_ escribió:
doc escribió:
yo empezaría haciendo un
# apt-get update

y luego un
# apt-get dist-upgrade


Yo haria un 'aptitude dist-upgrade'

Aptitude es un poco mas inteligente y ofrece soluciones a los conflictos.

y tienes toda la razón

 Perfil WWW  

Desconectado
Forista Ancestral
Forista Ancestral
Avatar de Usuario

Registrado: Jue Abr 12, 2007 7:00 am
Mensajes: 9186
Ubicación: tras la pantalla (...)

Nota Publicado: Jue Mar 03, 2011 9:35 pm 
Arriba  
:shock: :shock: que **** has hecho???

casi 4 anios usando debian, y es la primera vez que veo ese mensaje. :shock:

(que no digo que sea culpa tuya.... peor no quita para que sea la primera vez que veo a apt?? hacer esas cosas.)

tira de aptitude. si hace algo raro (aka, si no se actualiza a la primera), vamos a hacer esto:

lanza gnu script:

Código:
# script update.log


luego haz el dist-upgrade normal. sal con "exit" una vez que no de mas de si.

despues... te aconsejo que le eches un vistazo al fichero update.log. aka, lo abres con tu editor de texto favorito, y revisas si hay algo que no quieras que veamos. si es asi, borralo, pero dejando alguna marca (sustituye la linea por una de asteriscos, o algo asi). luego, subenos el fichero via pastie,org o similares.

a ver que esta haciendo. :D

_________________
#446716
>>"Linux: the operating system with a CLUE... Command Line User Environment".
(seen in a posting in comp.software.testing)

[ DNFD ] - [ F4A ] - [ dotfiles ]

 Perfil WWW  

Desconectado
Forista Medio
Forista Medio
Avatar de Usuario

Registrado: Dom Oct 10, 2010 6:15 am
Mensajes: 308

Nota Publicado: Dom Mar 27, 2011 3:07 am 
Arriba  
Bueno la cosa es que no se pudo actualizar de ninguna de las recomendaciones con la terminal... pero si se pudo con Synaptic... Gracias a todos. (esto fue hace un mes o mas creo).

Pero desde entonces ya no ha habido ninguna solicitud de actualización... entonces hoy tratando de actualizar los repositorios me encuentro con el problema siguiente....
graficamente me vota este error:

Falló al descargar la información del repositorio
E:Method has died unexpectedly!, E:Sub-process returned an error code (100), E:Method /usr/lib/apt/methods/ did not start correctly

desde consola me sale el siguiente error:

root@Linux:~# aptitude update
Failed to exec method /usr/lib/apt/methods/
E: Method has died unexpectedly!
E: El subproceso devolvió un código de error (100)
E: El método /usr/lib/apt/methods/ no se inició correctamente

Que hago??? :o

_________________
UBUNTU 12.04 User http://usandognu-linux.blogspot.com/

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Dom Oct 10, 2004 7:00 am
Mensajes: 1799

Nota Publicado: Dom Mar 27, 2011 4:34 am 
Arriba  
Apuesto a que tienes mal el sources.list.

Postealo aquí, a ver qué encontramos.

 Perfil  

Desconectado
Forista Medio
Forista Medio
Avatar de Usuario

Registrado: Dom Oct 10, 2010 6:15 am
Mensajes: 308

Nota Publicado: Dom Mar 27, 2011 5:56 pm 
Arriba  
neurus esto ee lo que tengo en el Sources.list:

#
deb ftp://ftp-mirror.internap.com/pub/debian/ testing main contrib non-free
deb-src ftp://ftp-mirror.internap.com/pub/debian/ testing main contrib non-free


# Line commented out by installer because it failed to verify:
deb ://volatile.debian.org squeeze-updates main contrib
# Line commented out by installer because it failed to verify:
deb http://http.us.debian.org/debian/ squeeze non-free contrib main
deb http://http.us.debian.org/debian/ squeeze-proposed-updates main contrib non-free
deb-src http://http.us.debian.org/debian/ squeeze-proposed-updates main
# deb-src ://volatile.debian.org squeeze-updates main contrib
deb http://www.debian-multimedia.org/ squeeze main non-free
deb http://security.debian.org/ squeeze/updates contrib main non-free
deb-src http://http.us.debian.org/debian/ squeeze/updates contrib non-free main #Added by software-properties
deb-src http://http.us.debian.org/debian/ squeeze/updates contrib main
deb-src http://www.debian-multimedia.org/ squeeze main non-free
deb http://http.us.debian.org/debian/ squeeze main contrib non-free
deb http://http.us.debian.org/debian/ squeeze main contrib non-free
deb-src http://http.us.debian.org/debian/ squeeze main contrib non-free #Added by software-properties
deb http://security.debian.org/ squeeze/updates main contrib

_________________
UBUNTU 12.04 User http://usandognu-linux.blogspot.com/

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Lun Mar 31, 2008 8:00 am
Mensajes: 2211

Nota Publicado: Dom Mar 27, 2011 6:02 pm 
Arriba  
Desactiva estos dos y proba

deb ftp://ftp-mirror.internap.com/pub/debian/ testing main contrib non-free
deb-src ftp://ftp-mirror.internap.com/pub/debian/ testing main contrib non-free

Tenes que agregarle adelante # para desactivarlos, y hace un apt-get update

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Dom Oct 10, 2004 7:00 am
Mensajes: 1799

Nota Publicado: Dom Mar 27, 2011 6:06 pm 
Arriba  
Borra esto, o agrégale http:

deb ://volatile.debian.org squeeze-updates main contrib (esta es la línea que produce el error).

Pero, además, no sé por qué tienes tantos repositorios repetidos.

Te alcanza con esto (organizando un poco ese caos):

Código:
deb http://ftp.fr.debian.org/debian squeeze main contrib non-free
deb http://www.debian-multimedia.org stable main
deb http://security.debian.org/ testing/updates main

 Perfil  

Desconectado
Forista Medio
Forista Medio
Avatar de Usuario

Registrado: Dom Oct 10, 2010 6:15 am
Mensajes: 308

Nota Publicado: Dom Mar 27, 2011 6:09 pm 
Arriba  
Entonces borro todo y escribo esto?:

deb http://ftp.fr.debian.org/debian squeeze main contrib non-free
deb http://www.debian-multimedia.org stable main
deb http://security.debian.org/ testing/updates main

_________________
UBUNTU 12.04 User http://usandognu-linux.blogspot.com/

 Perfil  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Dom Oct 10, 2004 7:00 am
Mensajes: 1799

Nota Publicado: Dom Mar 27, 2011 6:33 pm 
Arriba  
Sí. Lo único variable es el código de país. Yo uso fr porque me funciona bien. A veces, uso ca. Si a ti te funciona bien us, entonces utiliza ese.

En realidad, es lo mismo que lo escribas como propongo yo, o que lo dejes como está. Es lo mismo, desde el punto de vista del sistema. Pero es una pesadilla cuando lo quiere leer un humano.

Lo que te estoy diciendo, es que pongas un poco de orden. No necesitas repetir el repositorio por cada rama (non-free, main, etc). Y mucho menos, repetirlo varias veces.

 Perfil  

Desconectado
Forista Mayor
Forista Mayor
Avatar de Usuario

Registrado: Mar Feb 21, 2006 8:00 am
Mensajes: 679
Ubicación: Lima - Perú

Nota Publicado: Dom Mar 27, 2011 7:52 pm 
Arriba  
Off Topic----------------------------

Siempre se aprende algo nuevo.

Saludos------------------------------

_________________
G+: cronos | Twitter: @cronos426 | Pump.io: @cronos | IRC: cronos/cr0n0s
Manjarobox 0.8.9 i686 | Fedora 20 Gnome3 x86_64 | Debian Wheezy Xfce 4.8 i686
"Reciclemos, el planeta nos necesita"

 Perfil WWW  

Desconectado
Forista Legendario
Forista Legendario
Avatar de Usuario

Registrado: Dom Oct 10, 2004 7:00 am
Mensajes: 1799

Nota Publicado: Dom Mar 27, 2011 8:39 pm 
Arriba  
Sólo un detalle. Donde puse:

deb http://security.debian.org/ testing/updates main, tú deberías poner stable.
Lo copié de mi propio sources, y olvidé cambiarlo.

 Perfil  
Mostrar mensajes previos:  Ordenar por  
 [ 21 mensajes ]  Ir a página 1, 2  Siguiente
Nuevo tema Responder al tema

Saltar a:  


 Temas relacionados   Autor   Respuestas   Vistas   Último mensaje 
No puedo actualizar sistema

[ Ir a página: 1, 2, 3 ]

en Sistema

clamide

33

4915

Jue Oct 20, 2011 3:55 pm

clamide Ver último mensaje

No puedo actualizar a 10.10 -- SOLUCIONADO

en Sistema

antopv

10

2075

Dom Oct 24, 2010 5:01 am

cerenkov Ver último mensaje

no puedo actualizar pidgin de 2.4.3 a 2.6.4[solucionado]

en Software

Ahuizolt

5

1018

Jue Dic 24, 2009 2:03 am

Deckon Ver último mensaje

No puedo actualizar ubuntu 12.04 de ninguna forma.Solucionado

[ Ir a página: 1, 2 ]

en Sistema

neogarde

26

4149

Lun Dic 02, 2013 11:42 pm

mcun Ver último mensaje

Error al actualizar Debian [SOLUCIONADO]

en Sistema

Fanton

0

575

Mar Sep 07, 2010 2:26 pm

Fanton Ver último mensaje



¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 1 invitado

No puede abrir nuevos temas en este Foro
No puede responder a temas en este Foro
No puede editar sus mensajes en este Foro
No puede borrar sus mensajes en este Foro
No puede enviar adjuntos en este Foro

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group :: Style based on FI Subice by phpBBservice.nl :: Todos los horarios son UTC + 1 hora [ DST ]
Traducción al español por Huan Manwë
phpBB SEO